Bug 1542693 - Dedicated RGW daemon possible memory leaks
Summary: Dedicated RGW daemon possible memory leaks
Keywords:
Status: CLOSED DUPLICATE of bug 1578670
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.4
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: z1
: 2.5
Assignee: Mark Kogan
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-06 20:04 UTC by Vikhyat Umrao
Modified: 2018-08-30 16:51 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-30 16:51:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 23162 None None None 2018-02-27 13:42:32 UTC

Description Vikhyat Umrao 2018-02-06 20:04:51 UTC
Description of problem:
Dedicated RGW daemon possible memory leaks

Setup:

- 4 Dedicated RGW nodes behind the loadbalancer - HAPROXY
- 256GB RAM and 40 Core CPUs
- Only one RGW daemon in each node

objecter_inflight_op_bytes = 1048576000
rgw_gc_max_objs = 2048
objecter_inflight_ops = 10240
rgw_thread_pool_size = 1000
rgw frontends = civetweb port=80 num_threads=100

Number of OSDs up/in - 901

Version-Release number of selected component (if applicable):
RHCS 2.4 - ceph-radosgw-10.2.7-32.el7cp.x86_64

How reproducible:
Always at customer site

Comment 76 Vikhyat Umrao 2018-02-28 19:53:14 UTC
Upstream tracker - http://tracker.ceph.com/issues/23162


Note You need to log in before you can comment on or make changes to this bug.